body {
    font-family: "Poppins", sans-serif;
    margin: 0;
    padding: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    background: linear-gradient(
      180deg,
      rgba(40, 75, 99, 1) 0%,
      rgba(0, 0, 0, 1) 100%
    );
    animation: gradientAnimation 10s infinite alternate;
    transition: background 0.5s ease-in-out;
  }
  
  @keyframes gradientAnimation {
    0% {
      background-position: 0% 50%;
    }
    100% {
      background-position: 100% 50%;
    }
  }
  
  .login-container {
    background: rgba(255, 255, 255, 0.95);
    border-radius: 15px;
    box-shadow: 0 0 30px rgba(0, 0, 0, 0.3);
    overflow: hidden;
    width: 500px;
    max-width: 100%;
    box-sizing: border-box;
    padding: 40px;
    text-align: center;
    animation: fadeIn 1s ease-out;
    transition: background 0.5s ease-in-out;
    margin: auto;
  }
  
  h2 {
    color: #2c3e50;
    margin-bottom: 30px;
    font-size: 2.5em;
  }
  
  .input-group {
    margin-bottom: 20px;
  }
  
  .input-group label {
    display: block;
    text-align: center;
    margin-bottom: 10px;
    color: #555;
    font-size: 1.2em;
    letter-spacing: 1px;
  }
  
  .login-btn {
    background: linear-gradient(
      180deg,
      rgba(40, 75, 99, 1) 0%,
      rgba(0, 0, 0, 1) 100%
    );
    color: #fff;
    padding: 15px;
    top: auto;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1.2em;
    transition: background 0.5s;
    position: relative;
  }
  
  @keyframes buttonGradient {
    0% {
      background-position: 0% 50%;
    }
    100% {
      background-position: 100% 50%;
    }
  }
  
  .login-btn:before {
    font-family: "Font Awesome 5 Free";
    position: absolute;
    top: 50%;
    left: 20px;
    transform: translateY(-50%);
    font-size: 1.8em;
    opacity: 0.7;
    transition: opacity 0.3s ease-in-out;
  }
  
  .login-btn:hover {
    background: linear-gradient(
      180deg,
      rgba(0, 0, 0, 1) 100%,
      rgba(40, 75, 99, 1) 0%
    );
  }
  
  .login-links {
    margin-top: 25px;
    color: #555;
    font-size: 1em;
  }
  
  .login-links a {
    color: #3498db;
    text-decoration: none;
    margin: 0 40px;
    transition: color 0.3s;
    font-weight: bold;
  }
  
  .login-links a:hover {
    color: #2ecc71;
  }
  
  @keyframes fadeIn {
    from {
      opacity: 0;
    }
    to {
      opacity: 1;
    }
  }
  
  p {
    text-align: center;
    font-size: 1.5em;
    padding: 20px; /* Ajuste conforme necessário */
    margin-left: auto;
    margin-right: auto;
    animation: fadeIn 1s ease-out;
    transition: background 0.5s ease-in-out;
  }
  
  input {
    outline: none;
    background-color: transparent;
    border-color: #2c363d;
    border-radius: 0;
    border-width: 0pc 0pc 1px 0px;
    margin: 8px 0;
    padding: 10px 15px;
    width: 90%;
  }